classification
Title: IDLE 3.7.0 on Mac cannot open subprocess
Type: crash Stage: resolved
Components: macOS Versions: Python 3.7
process
Status: closed Resolution: not a bug
Dependencies: Superseder:
Assigned To: Nosy List: JokeNeverSoke, ned.deily, ronaldoussoren, terry.reedy, xtreak
Priority: normal Keywords:

Created on 2018-09-05 09:10 by JokeNeverSoke, last changed 2018-09-07 22:01 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
Screen Shot 2018-09-05 at 15.36.57.png JokeNeverSoke, 2018-09-05 09:10
Messages (5)
msg324615 - (view) Author: Joseph (JokeNeverSoke) Date: 2018-09-05 09:10
Every time IDLE is opened this message "IDLE's subprocess didn't make connection.  Either IDLE can't start a subprocess or personal firewall software is blocking the connection" shows up.
When I open IDLE through .py programs the app crashes
crash code:
Process:               Python [5021]
Path:                  /Applications/Python 3.7/IDLE.app/Contents/MacOS/Python
Identifier:            org.python.IDLE
Version:               3.7.0 (3.7.0)
Code Type:             X86-64 (Native)
Parent Process:        ??? [1]
Responsible:           Python [5021]
User ID:               501

Date/Time:             2018-09-05 17:09:24.893 +0800
OS Version:            Mac OS X 10.13.4 (17E199)
Report Version:        12
Anonymous UUID:        01609E2F-27A5-CB5F-4612-5BA977830EA2

Sleep/Wake UUID:       30FAEA7D-EBF8-44D0-AE53-A40B0636777A

Time Awake Since Boot: 87000 seconds
Time Since Wake:       510 seconds

System Integrity Protection: enabled

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_CRASH (SIGABRT)
Exception Codes:       0x0000000000000000, 0x0000000000000000
Exception Note:        EXC_CORPSE_NOTIFY

Termination Reason:    Namespace OBJC, Code 0x1

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x0000000101922ed6 __abort_with_payload + 10
1   libsystem_kernel.dylib        	0x000000010191d2cf abort_with_payload_wrapper_internal + 89
2   libsystem_kernel.dylib        	0x000000010191d276 abort_with_reason + 22
3   libobjc.A.dylib               	0x0000000100e16962 _objc_fatalv(unsigned long long, unsigned long long, char const*, __va_list_tag*) + 108
4   libobjc.A.dylib               	0x0000000100e16814 _objc_fatal(char const*, ...) + 135
5   libobjc.A.dylib               	0x0000000100e21f63 (anonymous namespace)::AutoreleasePoolPage::busted(bool) + 123
6   libobjc.A.dylib               	0x0000000100e09da5 (anonymous namespace)::AutoreleasePoolPage::pop(void*) + 79
7   com.apple.CoreFoundation      	0x0000000100047a56 _CFAutoreleasePoolPop + 22
8   com.apple.Foundation          	0x0000000103ee28ad -[NSAutoreleasePool drain] + 144
9   com.apple.Foundation          	0x0000000103f165a4 _NSAppleEventManagerGenericHandler + 120
10  com.apple.AE                  	0x000000010a9ccdd0 aeDispatchAppleEvent(AEDesc const*, AEDesc*, unsigned int, unsigned char*) + 1788
11  com.apple.AE                  	0x000000010a9cc677 dispatchEventAndSendReply(AEDesc const*, AEDesc*) + 41
12  com.apple.AE                  	0x000000010a9cc565 aeProcessAppleEvent + 383
13  com.apple.HIToolbox           	0x00000001078ad4a0 AEProcessAppleEvent + 55
14  com.apple.AppKit              	0x00000001045e1d32 _DPSNextEvent + 2788
15  com.apple.AppKit              	0x0000000104d77e34 -[NSApplication(NSEvent) _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 3044
16  libtk8.6.dylib                	0x0000000103d4594a -[TKApplication(TKNotify) nextEventMatchingMask:untilDate:inMode:dequeue:] + 44
17  com.apple.AppKit              	0x0000000104813e7b -[NSApplication _doModalLoop:peek:] + 476
18  com.apple.AppKit              	0x00000001049f8c9f __35-[NSApplication runModalForWindow:]_block_invoke_2 + 64
19  com.apple.AppKit              	0x00000001049f8c4c __35-[NSApplication runModalForWindow:]_block_invoke + 75
20  com.apple.AppKit              	0x0000000104ea7219 _NSTryRunModal + 100
21  com.apple.AppKit              	0x0000000104811911 -[NSApplication runModalForWindow:] + 133
22  com.apple.AppKit              	0x00000001049e6eab __19-[NSAlert runModal]_block_invoke_2 + 158
23  com.apple.AppKit              	0x00000001049e6dfa __19-[NSAlert runModal]_block_invoke + 75
24  com.apple.AppKit              	0x0000000104ea7219 _NSTryRunModal + 100
25  com.apple.AppKit              	0x0000000104886609 -[NSAlert runModal] + 124
26  libtk8.6.dylib                	0x0000000103d32f31 Tk_MessageBoxObjCmd + 2098
27  libtcl8.6.dylib               	0x0000000103b12f08 TclNRRunCallbacks + 58
28  _tkinter.cpython-37m-darwin.so	0x0000000101beebf7 Tkapp_Call + 183
29  org.python.python             	0x000000010077aa7b cfunction_call_varargs + 299
30  org.python.python             	0x0000000100856376 _PyEval_EvalFrameDefault + 28614
31  org.python.python             	0x000000010084e740 _PyEval_EvalCodeWithName + 3088
32  org.python.python             	0x000000010077a50a _PyFunction_FastCallKeywords + 218
33  org.python.python             	0x000000010084f04f call_function + 671
34  org.python.python             	0x000000010085243d _PyEval_EvalFrameDefault + 12429
35  org.python.python             	0x000000010084e740 _PyEval_EvalCodeWithName + 3088
36  org.python.python             	0x000000010077a795 _PyFunction_FastCallDict + 469
37  org.python.python             	0x0000000100851eb4 _PyEval_EvalFrameDefault + 11012
38  org.python.python             	0x000000010084e740 _PyEval_EvalCodeWithName + 3088
39  org.python.python             	0x000000010077a50a _PyFunction_FastCallKeywords + 218
40  org.python.python             	0x000000010084f04f call_function + 671
41  org.python.python             	0x0000000100854a78 _PyEval_EvalFrameDefault + 22216
42  org.python.python             	0x000000010077a367 function_code_fastcall + 135
43  org.python.python             	0x000000010084f04f call_function + 671
44  org.python.python             	0x000000010085243d _PyEval_EvalFrameDefault + 12429
45  org.python.python             	0x000000010077a367 function_code_fastcall + 135
46  org.python.python             	0x000000010084f04f call_function + 671
47  org.python.python             	0x000000010085243d _PyEval_EvalFrameDefault + 12429
48  org.python.python             	0x000000010077a367 function_code_fastcall + 135
49  org.python.python             	0x000000010084f04f call_function + 671
50  org.python.python             	0x000000010085243d _PyEval_EvalFrameDefault + 12429
51  org.python.python             	0x000000010084e740 _PyEval_EvalCodeWithName + 3088
52  org.python.python             	0x000000010077a50a _PyFunction_FastCallKeywords + 218
53  org.python.python             	0x000000010084f04f call_function + 671
54  org.python.python             	0x000000010085243d _PyEval_EvalFrameDefault + 12429
55  org.python.python             	0x000000010084e740 _PyEval_EvalCodeWithName + 3088
56  org.python.python             	0x000000010077a50a _PyFunction_FastCallKeywords + 218
57  org.python.python             	0x000000010084f04f call_function + 671
58  org.python.python             	0x0000000100851843 _PyEval_EvalFrameDefault + 9363
59  org.python.python             	0x000000010084e740 _PyEval_EvalCodeWithName + 3088
60  org.python.python             	0x000000010084e904 PyEval_EvalCode + 100
61  org.python.python             	0x0000000100894d8e PyRun_FileExFlags + 206
62  org.python.python             	0x000000010089502f PyRun_SimpleFileExFlags + 447
63  org.python.python             	0x00000001008b376d pymain_main + 2733
64  org.python.python             	0x00000001008b3afa _Py_UnixMain + 218
65  Python                        	0x0000000100000f14 0x100000000 + 3860

Thread 1:
0   libsystem_kernel.dylib        	0x0000000101924292 __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x000000010195a20e _pthread_wqthread + 1552
2   libsystem_pthread.dylib       	0x0000000101959be9 start_wqthread + 13

Thread 2:
0   libsystem_kernel.dylib        	0x0000000101924292 __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x000000010195a009 _pthread_wqthread + 1035
2   libsystem_pthread.dylib       	0x0000000101959be9 start_wqthread + 13

Thread 3:
0   libsystem_kernel.dylib        	0x0000000101923cfa __select + 10
1   libtcl8.6.dylib               	0x0000000103c064c7 NotifierThreadProc + 558
2   libsystem_pthread.dylib       	0x000000010195a661 _pthread_body + 340
3   libsystem_pthread.dylib       	0x000000010195a50d _pthread_start + 377
4   libsystem_pthread.dylib       	0x0000000101959bf9 thread_start + 13

Thread 4:
0   libsystem_kernel.dylib        	0x0000000101924292 __workq_kernreturn + 10
1   libsystem_pthread.dylib       	0x000000010195a20e _pthread_wqthread + 1552
2   libsystem_pthread.dylib       	0x0000000101959be9 start_wqthread + 13

Thread 5:: Dispatch queue: NSCGSDisableUpdates
0   libsystem_kernel.dylib        	0x000000010191a20a mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x0000000101919724 mach_msg + 60
2   com.apple.SkyLight            	0x00000001069ab9f5 CGSUpdateManager::enable_updates_common() + 565
3   com.apple.SkyLight            	0x000000010694fb28 CGSUpdateManager::enable_update(unsigned long long) + 320
4   libdispatch.dylib             	0x00000001014a964a _dispatch_call_block_and_release + 12
5   libdispatch.dylib             	0x00000001014a1e08 _dispatch_client_callout + 8
6   libdispatch.dylib             	0x00000001014b6267 _dispatch_queue_serial_drain + 635
7   libdispatch.dylib             	0x00000001014a91b6 _dispatch_queue_invoke + 373
8   libdispatch.dylib             	0x00000001014b6f5d _dispatch_root_queue_drain_deferred_wlh + 332
9   libdispatch.dylib             	0x00000001014bad71 _dispatch_workloop_worker_thread + 880
10  libsystem_pthread.dylib       	0x0000000101959fd2 _pthread_wqthread + 980
11  libsystem_pthread.dylib       	0x0000000101959be9 start_wqthread + 13

Thread 6:
0   libsystem_pthread.dylib       	0x0000000101959bdc start_wqthread + 0
1   ???                           	0x0004000200080003 0 + 1125908497301507

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000002000209  rbx: 0x0000000000000001  rcx: 0x00007fff5bffba98  rdx: 0x0000000000000000
  rdi: 0x0000000000000008  rsi: 0x0000000000000001  rbp: 0x00007fff5bffbaf0  rsp: 0x00007fff5bffba98
   r8: 0x000000011583b040   r9: 0x0000000000000080  r10: 0x0000000000000000  r11: 0x0000000000000246
  r12: 0x0000000000000000  r13: 0x0000000000000000  r14: 0x0000000000000008  r15: 0x0000000000000080
  rip: 0x0000000101922ed6  rfl: 0x0000000000000246  cr2: 0x0000000116d88000
  
Logical CPU:     0
Error Code:      0x02000209
Trap Number:     133


Binary Images:
       0x100000000 -        0x100000fff +Python (???) <772D781E-3DF3-3A7E-9620-5A4CAE438B7B> /Applications/Python 3.7/IDLE.app/Contents/MacOS/Python
       0x100003000 -        0x1004a4fef  com.apple.CoreFoundation (6.9 - 1452.23) <945E5C0A-86C5-336E-A64F-5BF06E78985A> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
       0x100757000 -        0x1009a1ff7 +org.python.python (3.7.0, [c] 2001-2018 Python Software Foundation. - 3.7.0) <8D0890E3-4550-11C2-704A-D0571C9442A8> /Library/Frameworks/Python.framework/Versions/3.7/Python
       0x100af8000 -        0x100af9ffb  libSystem.B.dylib (1252.50.4) <C7810EA7-A61F-3817-8E54-E2EC4E26F946> /usr/lib/libSystem.B.dylib
       0x100b00000 -        0x100b01ff3  libDiagnosticMessagesClient.dylib (104) <9712E980-76EE-3A89-AEA6-DF4BAF5C0574> /usr/lib/libDiagnosticMessagesClient.dylib
       0x100b07000 -        0x100d2effb  libicucore.A.dylib (59173.0.1) <CECAD5E5-3EFD-3AAC-AD9B-E355B2DD5E9C> /usr/lib/libicucore.A.dylib
       0x100e00000 -        0x1011ee7e7  libobjc.A.dylib (723) <DD9E5EC5-B507-3249-B700-93433E2D5EDF> /usr/lib/libobjc.A.dylib
       0x10139f000 -        0x1013b1ffb  libz.1.dylib (70) <48C67CFC-940D-3857-8DAD-857774605352> /usr/lib/libz.1.dylib
       0x1013b7000 -        0x1013bbff7  libcache.dylib (80) <092479CB-1008-3A83-BECF-E115F24D13C1> /usr/lib/system/libcache.dylib
       0x1013c1000 -        0x1013cbff3  libcommonCrypto.dylib (60118.50.1) <029F5985-9B6E-3DCB-9B96-FD007678C6A7> /usr/lib/system/libcommonCrypto.dylib
       0x1013d9000 -        0x1013e0fff  libcompiler_rt.dylib (62) <968B8E3F-3681-3230-9D78-BB8732024F6E> /usr/lib/system/libcompiler_rt.dylib
       0x1013ee000 -        0x1013f7ffb  libcopyfile.dylib (146.50.5) <3885083D-50D8-3EEC-B481-B2E605180D7F> /usr/lib/system/libcopyfile.dylib
       0x1013fe000 -        0x101483fff  libcorecrypto.dylib (562.50.17) <67007279-24E1-3F30-802D-A55CD5C27946> /usr/lib/system/libcorecrypto.dylib
       0x1014a0000 -        0x1014d9ff7  libdispatch.dylib (913.50.12) <848EEE57-4235-3A61-9A52-C0097DD2AB5E> /usr/lib/system/libdispatch.dylib
       0x101514000 -        0x101531ff7  libdyld.dylib (551.3) <CF59A5A5-288B-30E6-BD42-9056B4E4139A> /usr/lib/system/libdyld.dylib
       0x10154c000 -        0x10154cffb  libkeymgr.dylib (28) <E34E283E-90FA-3C59-B48E-1277CDB9CDCE> /usr/lib/system/libkeymgr.dylib
       0x101551000 -        0x101551ff7  liblaunch.dylib (1205.50.76) <4D52BB64-C568-3A36-8935-2480427EE2A2> /usr/lib/system/liblaunch.dylib
       0x101558000 -        0x10155cffb  libmacho.dylib (906) <1902A611-081A-3452-B11E-EBD1B166E831> /usr/lib/system/libmacho.dylib
       0x101563000 -        0x101565ff3  libquarantine.dylib (86) <26C0BA22-8F93-3A07-9A4E-C8D53D2CE42E> /usr/lib/system/libquarantine.dylib
       0x10156c000 -        0x10156dff3  libremovefile.dylib (45) <711E18B2-5BBE-3211-A916-56740C27D17A> /usr/lib/system/libremovefile.dylib
       0x101573000 -        0x10158afff  libsystem_asl.dylib (356.50.1) <3B24F2D1-B578-359D-ADB2-0ED19A364C38> /usr/lib/system/libsystem_asl.dylib
       0x101598000 -        0x101598fff  libsystem_blocks.dylib (67) <17303FDF-0D2D-3963-B05E-B4DF63052D47> /usr/lib/system/libsystem_blocks.dylib
       0x10159d000 -        0x101626ff7  libsystem_c.dylib (1244.50.9) <1187BFE8-4576-3247-8177-481554E1F9E7> /usr/lib/system/libsystem_c.dylib
       0x10164f000 -        0x101652ffb  libsystem_configuration.dylib (963.50.8) <DF6B5287-203E-30CB-9947-78DF446C72B8> /usr/lib/system/libsystem_configuration.dylib
       0x101659000 -        0x10165cffb  libsystem_coreservices.dylib (51) <486000D3-D8CB-3BE7-8EE5-8BF380DE6DF7> /usr/lib/system/libsystem_coreservices.dylib
       0x101662000 -        0x101663fff  libsystem_darwin.dylib (1244.50.9) <09C21A4A-9EE0-388B-A9D9-DFF8F6758791> /usr/lib/system/libsystem_darwin.dylib
       0x101669000 -        0x10166fff7  libsystem_dnssd.dylib (878.50.17) <9033B909-BCF7-37EB-A040-ADE8081611D6> /usr/lib/system/libsystem_dnssd.dylib
       0x101676000 -        0x1016bfff7  libsystem_info.dylib (517.30.1) <AB634A98-B8AA-3804-8436-38261FC8EC4D> /usr/lib/system/libsystem_info.dylib
       0x1016d7000 -        0x101722fcb  libsystem_m.dylib (3147.50.1) <FC2E58BA-E6D5-3D2A-89CA-67F212294136> /usr/lib/system/libsystem_m.dylib
       0x101731000 -        0x101750fff  libsystem_malloc.dylib (140.50.6) <7FD43735-9DDD-300E-8C4A-F909A74BDF49> /usr/lib/system/libsystem_malloc.dylib
       0x10175d000 -        0x10188dff3  libsystem_network.dylib (1229.51.2) <F65ED095-8ABA-3355-93F8-B9D0505932F4> /usr/lib/system/libsystem_network.dylib
       0x1018ce000 -        0x1018d8ffb  libsystem_networkextension.dylib (767.50.25) <758F1414-796D-3422-83C9-92D2915A06CE> /usr/lib/system/libsystem_networkextension.dylib
       0x1018e5000 -        0x1018eeff3  libsystem_notify.dylib (172) <08012EC0-2CD2-34BE-BF93-E7F56491299A> /usr/lib/system/libsystem_notify.dylib
       0x1018f6000 -        0x1018f9fff  libsystem_sandbox.dylib (765.50.51) <B48D256E-D7DB-3D4F-BC95-34557170C7AA> /usr/lib/system/libsystem_sandbox.dylib
       0x101900000 -        0x101901ff3  libsystem_secinit.dylib (30) <DE8D14E8-A276-3FF8-AE13-77F7040F33C1> /usr/lib/system/libsystem_secinit.dylib
       0x101907000 -        0x10192dff7  libsystem_kernel.dylib (4570.51.1) <5CAAB092-02CC-3A37-9D5F-C4AD1083AB96> /usr/lib/system/libsystem_kernel.dylib
       0x101947000 -        0x10194eff7  libsystem_platform.dylib (161.50.1) <6355EE2D-5456-3CA8-A227-B96E8F1E2AF8> /usr/lib/system/libsystem_platform.dylib
       0x101957000 -        0x101962fff  libsystem_pthread.dylib (301.50.1) <0E51CCBA-91F2-34E1-BF2A-FEEFD3D321E4> /usr/lib/system/libsystem_pthread.dylib
       0x10196f000 -        0x101976ff7  libsystem_symptoms.dylib (820.50.37) <ED7350E0-B68B-374A-9AB7-DC1F195A8327> /usr/lib/system/libsystem_symptoms.dylib
       0x10197d000 -        0x101990fff  libsystem_trace.dylib (829.50.17) <6568D68B-1D4C-38EE-90A9-54821D6403C0> /usr/lib/system/libsystem_trace.dylib
       0x10199f000 -        0x1019a4ff7  libunwind.dylib (35.3) <BEF3FB49-5604-3B5F-82B5-332B80023AC3> /usr/lib/system/libunwind.dylib
       0x1019ac000 -        0x1019d9fff  libxpc.dylib (1205.50.76) <25DB244E-217D-3CE0-A8F2-0C4255783B42> /usr/lib/system/libxpc.dylib
       0x1019fc000 -        0x101a2fff7  libclosured.dylib (551.3) <DC3DA678-9C40-339C-A9C6-32AB74FCC682> /usr/lib/closure/libclosured.dylib
       0x101a4b000 -        0x101a6fff7  libc++abi.dylib (400.8.2) <EF5E37D7-11D9-3530-BE45-B986612D13E2> /usr/lib/libc++abi.dylib
       0x101a7f000 -        0x101ad5fff  libc++.1.dylib (400.9) <7D3DACCC-3804-393C-ABC1-1A580FD00CB6> /usr/lib/libc++.1.dylib
       0x101be8000 -        0x101bf0ff7 +_tkinter.cpython-37m-darwin.so (???) <DE56789A-8D90-430A-22B2-784218C38568> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_tkinter.cpython-37m-darwin.so
       0x101bfa000 -        0x101bfafff  com.apple.Cocoa (6.11 - 22) <4CF8E31C-B5C7-367B-B73D-1A8AC8E41B7F> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
       0x101fe0000 -        0x101fe0fff  com.apple.Carbon (158 - 158) <F8B370D9-2103-3276-821D-ACC756167F86> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
       0x101fe4000 -        0x101fe4fff  com.apple.CoreServices (822.31 - 822.31) <615919A2-AE11-3F27-9A37-FB0CFF8D36B6> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
       0x101fe9000 -        0x101fe9fff  com.apple.ApplicationServices (48 - 50) <8DA47D38-B07B-3AE2-B343-4579864430C6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
       0x101fed000 -        0x101fedfff  libenergytrace.dylib (16) <A92AB8B8-B986-3CE6-980D-D55090FEF387> /usr/lib/libenergytrace.dylib
       0x101ff2000 -        0x101ff6ffb  libScreenReader.dylib (562.18.4) <E239923D-54C9-3BBF-852F-87C09DEF4091> /usr/lib/libScreenReader.dylib
       0x103951000 -        0x103974ffb  com.apple.RemoteViewServices (2.0 - 125) <592323D1-CB44-35F1-9921-4C2AB8D920A0> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
       0x10399c000 -        0x1039abff7  com.apple.framework.DFRFoundation (1.0 - 191.7) <3B8ED6F7-5DFF-34C3-BA90-DDB85679684C> /System/Library/PrivateFrameworks/DFRFoundation.framework/Versions/A/DFRFoundation
       0x1039be000 -        0x1039befff  com.apple.Accelerate (1.11 - Accelerate 1.11) <8632A9C5-19EA-3FD7-A44D-80765CC9C540> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
       0x1039c2000 -        0x1039c9ffb  com.apple.IOSurface (211.12 - 211.12) <392CA7DE-B365-364E-AF4A-33EC2CC48E6F> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
       0x1039d8000 -        0x1039d8fff  com.apple.audio.units.AudioUnit (1.14 - 1.14) <513C9A4B-4F6D-3A21-921F-2CA101B97830> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
       0x1039e3000 -        0x1039e4ff7  com.apple.performance.SignpostNotification (1.2.4 - 2.4) <9957B2C0-4D48-3337-8A4D-5E457CC7B542> /System/Library/PrivateFrameworks/SignpostNotification.framework/Versions/A/SignpostNotification
       0x1039eb000 -        0x1039f1fff  com.apple.speech.recognition.framework (6.0.3 - 6.0.3) <2ED8643D-B0C3-3F17-82A2-BBF13E6CBABC> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
       0x1039fb000 -        0x1039fbfff  libOpenScriptingUtil.dylib (174) <610F0242-7CE5-3C86-951B-B646562694AF> /usr/lib/libOpenScriptingUtil.dylib
       0x103b00000 -        0x103c48fef +libtcl8.6.dylib (8.6.8 - 8.6.8) <59169476-3443-1D5C-BC78-58A1A2DB71AD> /Library/Frameworks/Python.framework/Versions/3.7/lib/libtcl8.6.dylib
       0x103c7a000 -        0x103d95fe7 +libtk8.6.dylib (8.6.8 - 8.6.8) <6EA5315E-A60D-EC83-B930-17671B128CE7> /Library/Frameworks/Python.framework/Versions/3.7/lib/libtk8.6.dylib
       0x103de9000 -        0x103e84ff7  com.apple.framework.IOKit (2.0.2 - 1445.50.26) <A63CAC8D-BF57-34FD-9A88-2F74546F2000> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
       0x103ecd000 -        0x104293fff  com.apple.Foundation (6.9 - 1452.23) <E64540AD-1755-3C16-8537-552A00E92541> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
       0x1045a0000 -        0x1053fefff  com.apple.AppKit (6.9 - 1561.40.112) <C839B0C1-F7EE-3056-985C-63CF1A030EC4> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
       0x105e5e000 -        0x1061b4fef  com.apple.CoreData (120 - 851) <A2B59780-FB16-36A3-8EE0-E0EF072454E0> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
       0x106364000 -        0x106513fff  com.apple.UIFoundation (1.0 - 547.3) <ACC12DF5-E528-33F3-A358-4E1BEA68239C> /System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoundation
       0x1065f3000 -        0x106674ff7  com.apple.Metal (125.25 - 125.25) <B2ECA050-4C13-3EAD-A1C8-AC21EFF122F1> /System/Library/Frameworks/Metal.framework/Versions/A/Metal
       0x10676a000 -        0x106899fff  com.apple.desktopservices (1.12.4 - 1.12.4) <47C3FBF3-5E75-3821-B003-2A4DC3657D8D> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
       0x10693e000 -        0x106bdafff  com.apple.SkyLight (1.600.0 - 312.50) <0CF4C608-8748-32BF-9586-A1601945F82C> /System/Library/PrivateFrameworks/SkyLight.framework/Versions/A/SkyLight
       0x106cbc000 -        0x1072ccfef  com.apple.CoreGraphics (2.0 - 1161.10) <31C36FA0-4026-3347-93FD-71CD7287A6F0> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
       0x1073e9000 -        0x107676ff7  com.apple.audio.toolbox.AudioToolbox (1.14 - 1.14) <87D81714-F167-39F5-B5E7-A7A432EDAB5B> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
       0x1077b5000 -        0x10782bfff  com.apple.datadetectorscore (7.0 - 590.3) <83E85A62-44A8-33F8-AD79-AC4C807184C4> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
       0x10786e000 -        0x107b73fff  com.apple.HIToolbox (2.1.1 - 911.10) <BF7F9C0E-C732-3FB2-9BBC-362888BDA57B> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
       0x107d00000 -        0x107f4bff7  com.apple.QuartzCore (1.11 - 584.40) <ABC7F8FA-5F5A-31F4-868B-FDC4175BAFAC> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
       0x10803c000 -        0x108364fff  com.apple.security (7.0 - 58286.51.6) <7212D257-5324-3DBA-8C26-504D6B8F632A> /System/Library/Frameworks/Security.framework/Versions/A/Security
       0x10853b000 -        0x10853bff3  libauto.dylib (187) <A05C7900-F8C7-3E75-8D3F-909B40C19717> /usr/lib/libauto.dylib
       0x108541000 -        0x108628fff  libxml2.2.dylib (31.10) <503721DB-0D8D-379E-B743-18CE59304155> /usr/lib/libxml2.2.dylib
       0x108661000 -        0x108795fff  com.apple.coreui (2.1 - 494.1) <19624CAA-74DE-3DD3-9585-E64BE866EBFF> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
       0x108969000 -        0x1089fcff7  com.apple.audio.CoreAudio (4.3.0 - 4.3.0) <6E3F958D-79BB-3658-99AD-59F16BF756F1> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
       0x108a2a000 -        0x108a2ffff  com.apple.DiskArbitration (2.7 - 2.7) <A6450227-DD23-3100-ADBF-DB1C21E979F7> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
       0x108a3a000 -        0x108a3bfff  liblangid.dylib (128) <39C39393-0D05-301D-93B2-F224FC4949AA> /usr/lib/liblangid.dylib
       0x108a40000 -        0x108a6affb  com.apple.MultitouchSupport.framework (1404.4 - 1404.4) <45374A2A-C0BC-3A70-8183-37295205CDFA> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
       0x108a7f000 -        0x108a8fffb  com.apple.PerformanceAnalysis (1.194 - 194) <D0211AD1-72B3-3493-92C9-B4F40ED581D5> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
       0x108aac000 -        0x108abbfff  com.apple.opengl (16.5.10 - 16.5.10) <BC4EEFE3-A09B-3998-B723-1415B995B0EE> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
       0x108ac6000 -        0x108b7ffff  com.apple.ColorSync (4.13.0 - 3325) <D283C285-447D-3258-A7E4-59532123B8FF> /System/Library/Frameworks/ColorSync.framework/Versions/A/ColorSync
       0x108bcc000 -        0x108ebbfff  com.apple.CoreImage (13.0.0 - 579.4.11) <702F8035-26FE-3C78-8587-4C9563E03CC4> /System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage
       0x10905c000 -        0x1091acfff  com.apple.CoreText (352.0 - 578.18) <B8454115-2A4B-3585-A7A1-B47A638F2EEB> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
       0x109276000 -        0x1093effe7  com.apple.ImageIO.framework (3.3.0 - 1739.1) <E5E88083-26A7-3E48-8EB4-A1F04E0737CE> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
       0x1094a4000 -        0x10952bff7  com.apple.backup.framework (1.9.5 - 1.9.5) <BC020BDD-7C93-37E5-A762-4FDCBD2056A8> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
       0x10959c000 -        0x1095c6ff3  libarchive.2.dylib (54) <8FC28DD8-E315-3C3E-95FE-D1D2CBE49888> /usr/lib/libarchive.2.dylib
       0x1095d1000 -        0x10996bff7  com.apple.CFNetwork (897.15 - 897.15) <0C03AF39-3527-3E0D-8413-8E1B2A962F0D> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
       0x109c97000 -        0x109d07ff3  com.apple.SystemConfiguration (1.17 - 1.17) <8532B8E9-7E30-35A3-BC4A-DDE8E0614FDA> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
       0x109d3f000 -        0x109d78ff7  libCRFSuite.dylib (41) <FE5EDB68-2593-3C2E-BBAF-1C52D206F296> /usr/lib/libCRFSuite.dylib
       0x109d92000 -        0x109da2ff3  libbsm.0.dylib (39) <6BC96A72-AFBE-34FD-91B1-748A530D8AE6> /usr/lib/libbsm.0.dylib
       0x109dac000 -        0x109db8ff3  libkxld.dylib (4570.51.1) <C2B927F3-E9D9-3ACF-A358-A51A61749FB4> /usr/lib/system/libkxld.dylib
       0x109dbe000 -        0x109dd6ff7  libcoretls.dylib (155.50.1) <D350052E-DC4D-3185-ADBA-BA48EDCEE955> /usr/lib/libcoretls.dylib
       0x109de2000 -        0x109de3ff3  libcoretls_cfhelpers.dylib (155.50.1) <B297F5D8-F2FE-3566-A752-E9D998B9C039> /usr/lib/libcoretls_cfhelpers.dylib
       0x109de9000 -        0x109dedfff  libpam.2.dylib (22) <7B4D2CE2-1438-387A-9802-5CEEFBF26F86> /usr/lib/libpam.2.dylib
       0x109df3000 -        0x109f86ff7  libsqlite3.dylib (274.8.1) <FCAD6A57-829E-3701-B16E-1833D620E0E8> /usr/lib/libsqlite3.dylib
       0x109fae000 -        0x109fbbfff  libxar.1.dylib (400) <0316128D-3B47-3052-995D-97B4FE5491DC> /usr/lib/libxar.1.dylib
       0x109fc5000 -        0x109fd2ffb  libbz2.1.0.dylib (38) <0A5086BB-4724-3C14-979D-5AD4F26B5B45> /usr/lib/libbz2.1.0.dylib
       0x109fd8000 -        0x109ff1ffb  liblzma.5.dylib (10) <3D419A50-961F-37D2-8A01-3DC7AB7B8D18> /usr/lib/liblzma.5.dylib
       0x109ffa000 -        0x10a174fff  libnetwork.dylib (1229.51.2) <D64FE2A1-CBFD-3817-A701-9A0DDBD70DCF> /usr/lib/libnetwork.dylib
       0x10a1ce000 -        0x10a1e4ff7  libapple_nghttp2.dylib (1.24) <01402BC4-4822-3676-9C80-50D83F816424> /usr/lib/libapple_nghttp2.dylib
       0x10a1f1000 -        0x10a225fff  libpcap.A.dylib (79.20.1) <FA13918B-A247-3181-B256-9B852C7BA316> /usr/lib/libpcap.A.dylib
       0x10a235000 -        0x10a2edff3  libboringssl.dylib (109.50.14) <E6813F87-B5E4-3F7F-A725-E6A7F2BD02EC> /usr/lib/libboringssl.dylib
       0x10a366000 -        0x10a3c6ff3  libusrtcp.dylib (1229.51.2) <3D8806D9-4BA9-35EE-BC44-F58BC2A0962D> /usr/lib/libusrtcp.dylib
       0x10a3d4000 -        0x10a3d4fff  libapple_crypto.dylib (109.50.14) <48BA2E76-BF2F-3522-A54E-D7FB7EAF7A57> /usr/lib/libapple_crypto.dylib
       0x10a3d8000 -        0x10a3e0ffb  com.apple.CoreServices.FSEvents (1239.50.1 - 1239.50.1) <3637CEC7-DF0E-320E-9634-44A442925C65> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
       0x10a3e8000 -        0x10a6bffff  com.apple.CoreServices.CarbonCore (1178.4 - 1178.4) <0D5E19BF-18CB-3FA4-8A5F-F6C787C5EE08> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
       0x10a736000 -        0x10a7e6ff7  com.apple.Metadata (10.7.0 - 1191.4.13) <B5C22E70-C265-3C9F-865F-B138994A418D> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
       0x10a865000 -        0x10a8c5fff  com.apple.CoreServices.OSServices (822.31 - 822.31) <690E3C93-8799-39FF-8663-190A49B002E3> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
       0x10a911000 -        0x10a97ffff  com.apple.SearchKit (1.4.0 - 1.4.0) <3662545A-B1CF-3079-BDCD-C83855CEFEEE> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
       0x10a9c3000 -        0x10aa37ffb  com.apple.AE (735.1 - 735.1) <08EBA184-20F7-3725-AEA6-C314448161C6> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
       0x10aa69000 -        0x10ac26ff7  com.apple.LaunchServices (822.31 - 822.31) <BDFAB0FF-C2C6-375B-9E84-E43E267E2F82> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
       0x10ad37000 -        0x10ad6bfff  com.apple.DictionaryServices (1.2 - 284.2) <6505B075-41C3-3C62-A4C3-85CE3F6825CD> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
       0x10ad97000 -        0x10adbbffb  com.apple.coreservices.SharedFileList (71.21 - 71.21) <7DB79D78-9925-33F8-96BA-35AB7AEB326A> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList
       0x10addf000 -        0x10adebffb  com.apple.NetFS (6.0 - 4.0) <471DD96F-FA2E-3FE9-9746-2519A6780D1A> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
       0x10adf5000 -        0x10ae00fff  com.apple.NetAuth (6.2 - 6.2) <B3795F63-C14A-33E1-9EE6-02A2E7661321> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
       0x10ae0d000 -        0x10ae0fffb  com.apple.loginsupport (1.0 - 1) <D1232C1B-80EA-3DF8-9466-013695D0846E> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
       0x10ae15000 -        0x10ae1dff7  com.apple.TCC (1.0 - 1) <E1EB7272-FE6F-39AB-83CA-B2B5F2A88D9B> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
       0x10ae28000 -        0x10b050ff7  libmecabra.dylib (779.7.6) <F462F170-E872-3D09-B219-973D5E99C09F> /usr/lib/libmecabra.dylib
       0x10b0ae000 -        0x10b114fff  com.apple.ApplicationServices.ATS (377 - 445.3) <000C4E9F-E0D9-371D-B304-83BA37460724> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
       0x10b140000 -        0x10b144ff3  com.apple.ColorSyncLegacy (4.13.0 - 1) <A5FB2694-1559-34A8-A3D3-2029F68A63CA> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSyncLegacy.framework/Versions/A/ColorSyncLegacy
       0x10b14d000 -        0x10b19fffb  com.apple.HIServices (1.22 - 624) <828E189A-62F9-3961-8A89-22F508870CC5> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
       0x10b1d9000 -        0x10b1e7fff  com.apple.LangAnalysis (1.7.0 - 1.7.0) <B65FF7E6-E9B5-34D8-8CA7-63D415A8A9A6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
       0x10b1f6000 -        0x10b242fff  com.apple.print.framework.PrintCore (13.4 - 503.2) <B90C67C1-0292-3CEC-885D-F1882CD104BE> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
       0x10b271000 -        0x10b2abfff  com.apple.QD (3.12 - 404.2) <38B20AFF-9D54-3B52-A6DC-C0D71380AA5F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
       0x10b2d7000 -        0x10b2e3fff  com.apple.speech.synthesis.framework (7.5.1 - 7.5.1) <84ADDF38-36F1-3D3B-B28D-8865FA10FCD7> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
       0x10b2f8000 -        0x10b3ddff7  com.apple.CoreDisplay (1.0 - 97.16) <FCFB2A8C-7A5E-314B-AA12-04D33656A0E6> /System/Library/Frameworks/CoreDisplay.framework/Versions/A/CoreDisplay
       0x10b40c000 -        0x10b90afc3  com.apple.vImage (8.1 - ???) <A243A7EF-0C8E-3A9A-AA38-44AFD7507F00> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
       0x10b969000 -        0x10b969fff  com.apple.Accelerate.vecLib (3.11 - vecLib 3.11) <54FF3B43-E66C-3F36-B34B-A2B3B0A36502> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
       0x10b96d000 -        0x10bb1afc3  libvDSP.dylib (622.50.5) <40690941-CF89-3F90-A0AC-A4D200744A5D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
       0x10bb29000 -        0x10bb57fef  libBNNS.dylib (38.1) <7BAEFDCA-3227-3E07-80D8-59B6370B89C6> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBNNS.dylib
       0x10bb61000 -        0x10bb66ff3  libQuadrature.dylib (3) <3D6BF66A-55B2-3692-BAC7-DEB0C676ED29> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libQuadrature.dylib
       0x10bb6b000 -        0x10bc1cfff  libvMisc.dylib (622.50.5) <BA2532DF-2D68-3DD0-9B59-D434BF702AA4> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
       0x10bc29000 -        0x10bfe8ff7  libLAPACK.dylib (1211.50.2) <40ADBA5F-8B2D-30AC-A7AD-7B17C37EE52D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
       0x10c049000 -        0x10c1a3fe3  libBLAS.dylib (1211.50.2) <62C659EB-3E32-3B5F-83BF-79F5DF30D5CE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
       0x10c1c5000 -        0x10c1daff7  libLinearAlgebra.dylib (1211.50.2) <E8E0B7FD-A0B7-31E5-AF01-81781F71EBBE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
       0x10c1e4000 -        0x10c264fff  libSparse.dylib (79.50.2) <0DC25CDD-F8C1-3D6E-B472-8B060708424F> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparse.dylib
       0x10c27e000 -        0x10c291fff  libSparseBLAS.dylib (1211.50.2) <722573CC-31CC-34B2-9032-E4F652A9CCFE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib
       0x10c299000 -        0x10c29eff7  com.apple.GPUWrangler (3.18.48 - 3.18.48) <D2BA4CFA-ED0A-3FEC-B5FF-2D6C0557334E> /System/Library/PrivateFrameworks/GPUWrangler.framework/Versions/A/GPUWrangler
       0x10c2a5000 -        0x10c2acff7  com.apple.IOAccelerator (378.18.1 - 378.18.1) <E47DDE66-1B2B-310F-A060-638CA5D86F9C> /System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator
       0x10c2b7000 -        0x10c2cffff  com.apple.IOPresentment (1.0 - 35.1) <214AD582-466F-3844-A0A4-DE0742A8B899> /System/Library/PrivateFrameworks/IOPresentment.framework/Versions/A/IOPresentment
       0x10c2ea000 -        0x10c2eeffb  com.apple.DSExternalDisplay (3.1 - 380) <8D03D346-887A-3CE7-9483-4AD7804D1FBB> /System/Library/PrivateFrameworks/DSExternalDisplay.framework/Versions/A/DSExternalDisplay
       0x10c2f5000 -        0x10c2faffb  libCoreFSCache.dylib (162.6.1) <879B2738-2E8A-3596-AFF8-9C3FB1B6828B> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
       0x10c300000 -        0x10c33afff  com.apple.CoreVideo (1.8 - 0.0) <86CCC036-51BB-3DD1-9601-D93798BCCD0F> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
       0x10c363000 -        0x10c372fff  com.apple.GraphVisualizer (1.0 - 5) <B993B8A2-5700-3DFC-9EB7-4CCEE8F959F1> /System/Library/PrivateFrameworks/GraphVisualizer.framework/Versions/A/GraphVisualizer
       0x10c37d000 -        0x10c37dff7  com.apple.MetalPerformanceShaders.MetalPerformanceShaders (1.0 - 1) <20ECB52B-B5C2-39EA-88E3-DFEC0C3CC9FF> /System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/MetalPerformanceShaders
       0x10c382000 -        0x10c54cff3  libFosl_dynamic.dylib (17.8) <C58ED77A-4986-31C2-994C-34DDFB8106F0> /usr/lib/libFosl_dynamic.dylib
       0x10c584000 -        0x10c9b2fff  com.apple.vision.FaceCore (3.3.2 - 3.3.2) <B574FE33-4A41-3611-9738-388EBAF03E37> /System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
       0x10cbd0000 -        0x10cc1efff  com.apple.opencl (2.8.15 - 2.8.15) <83ED39D0-1D39-3593-BA25-70A8A911DE71> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
       0x10cc37000 -        0x10cc4dfff  libcompression.dylib (47.50.1) <491784AE-CB90-3E27-9081-95C3A1211760> /usr/lib/libcompression.dylib
       0x10cc55000 -        0x10cd77fff  libFontParser.dylib (222.1.4) <FF68FAF6-70BB-3E39-A263-E17B6F5E00D0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
       0x10cdfa000 -        0x10ce44ff7  libFontRegistry.dylib (221.3) <C84F7112-4764-3F4B-9FBA-4A022CF6346B> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
       0x10ce78000 -        0x10ce9bff7  libJPEG.dylib (1739.1) <E925D511-B457-3732-9B67-1A7DFB228EA4> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
       0x10cea4000 -        0x10cef2fef  libTIFF.dylib (1739.1) <AD819413-29E3-3B2F-8997-2F88A82D9D83> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
       0x10cf03000 -        0x10cf29feb  libPng.dylib (1739.1) <48633B0C-BE01-3D94-9D9D-A95D50466AF9> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
       0x10cf35000 -        0x10cf39ffb  libGIF.dylib (1739.1) <D39BE184-279C-36AC-B233-EE17CACDEDB3> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
       0x10cf3f000 -        0x10d026fef  libJP2.dylib (1739.1) <053925CD-59DB-372F-98A8-C2372FF0B899> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
       0x10d050000 -        0x10d052ffb  libRadiance.dylib (1739.1) <A6F1064A-FFFC-3B06-8CBF-5204CDFC41C6> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
       0x10d057000 -        0x10d09fff3  com.apple.AppleJPEG (1.0 - 1) <8DD410CB-76A1-3F22-9A9F-0491FA0CEB4A> /System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG
       0x10d0ac000 -        0x10d0c7fff  com.apple.MetalPerformanceShaders.MPSCore (1.0 - 1) <0B4455FE-5C97-345C-B416-325EC6D88A2A> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSCore.framework/Versions/A/MPSCore
       0x10d0d9000 -        0x10d148fef  com.apple.MetalPerformanceShaders.MPSImage (1.0 - 1) <87F14199-C445-34C2-90F8-57C29212483E> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSImage.framework/Versions/A/MPSImage
       0x10d178000 -        0x10d25fff7  com.apple.MetalPerformanceShaders.MPSNeuralNetwork (1.0 - 1) <FBDDCAE6-EC6E-361F-B924-B3EBDEAC2D2F> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSNeuralNetwork.framework/Versions/A/MPSNeuralNetwork
       0x10d2c5000 -        0x10d2e9fff  com.apple.MetalPerformanceShaders.MPSMatrix (1.0 - 1) <BD50FD9C-CE92-34AF-8663-968BF89202A0> /System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSMatrix.framework/Versions/A/MPSMatrix
       0x10d2f9000 -        0x10d362ff7  com.apple.gpusw.MetalTools (1.0 - 1) <B5F66CF4-BE75-3A0B-A6A0-2F22C7C259D9> /System/Library/PrivateFrameworks/MetalTools.framework/Versions/A/MetalTools
       0x10d3e5000 -        0x10d423ffb  libGLU.dylib (16.5.10) <F6844912-1B86-34DF-9FB5-A428CC7B5B18> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
       0x10d433000 -        0x10d43cff7  libGFXShared.dylib (16.5.10) <6024B1FE-ACD7-3314-B390-85972CB9B778> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
       0x10d444000 -        0x10d44ffff  libGL.dylib (16.5.10) <AB8B6C73-8496-3784-83F6-27737ED03B09> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
       0x10d464000 -        0x10d49ffe7  libGLImage.dylib (16.5.10) <5B41D074-3132-3587-91B6-E441BA8C9F13> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
       0x10d4a8000 -        0x10d4aafff  libCVMSPluginSupport.dylib (16.5.10) <BF5D065A-A38B-3446-9418-799F598072EF> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
       0x10d4b0000 -        0x10d4b4fff  libCoreVMClient.dylib (162.6.1) <64ED0A84-225F-39BC-BE0D-C896ACF5B50A> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
       0x10d4bc000 -        0x10d512ff3  libcups.2.dylib (462.2) <64864CBE-03A3-34C7-9DBB-C93601F183FD> /usr/lib/libcups.2.dylib
       0x10d52c000 -        0x10d545ff7  com.apple.Kerberos (3.0 - 1) <F86DCCDF-93C1-38B3-82C2-477C12E8EE6D> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
       0x10d55f000 -        0x10d58ffff  com.apple.GSS (4.0 - 2.0) <41087278-74AE-3FA5-8C0E-9C78EB696299> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
       0x10d5b1000 -        0x10d5cdffb  libresolv.9.dylib (65) <E8F3415B-4472-3202-8901-41FD87981DB2> /usr/lib/libresolv.9.dylib
       0x10d5d9000 -        0x10d6caff7  libiconv.2.dylib (51.50.1) <2FEC9707-3FAF-3828-A50D-8605086D060F> /usr/lib/libiconv.2.dylib
       0x10d6db000 -        0x10d74ffff  com.apple.Heimdal (4.0 - 2.0) <18607D75-DB78-3CC7-947E-AC769195164C> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
       0x10d781000 -        0x10d786ff3  libheimdal-asn1.dylib (520.50.6) <E358445A-B84E-31B5-BCCD-7E1397519D96> /usr/lib/libheimdal-asn1.dylib
       0x10d78d000 -        0x10d798fff  com.apple.OpenDirectory (10.13 - 207.50.1) <220FB6F2-4892-3A66-8838-C134CF657D3A> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
       0x10d7ad000 -        0x10d7b6ff3  com.apple.CommonAuth (4.0 - 2.0) <4D237B25-27E5-3577-948B-073659F6D3C0> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
       0x10d7be000 -        0x10d7daffb  com.apple.CFOpenDirectory (10.13 - 207.50.1) <C2715A7A-2E5C-3A21-ADB4-726F707A1294> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
       0x10d7fc000 -        0x10d888ff7  com.apple.securityfoundation (6.0 - 55185.50.5) <087D601E-7813-3F9E-97EE-BC7081F520BD> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
       0x10d8f7000 -        0x10d98aff7  com.apple.APFS (1.0 - 1) <D1CE52E0-45C0-30C4-B440-E2CF2F74CEE5> /System/Library/PrivateFrameworks/APFS.framework/Versions/A/APFS
       0x10d9a2000 -        0x10d9a5ffb  libutil.dylib (51.20.1) <216D18E5-0BAF-3EAF-A38E-F6AC37CBABD9> /usr/lib/libutil.dylib
       0x10d9ac000 -        0x10d9d4fff  com.apple.applesauce (1.0 - ???) <CCA8B094-1BCE-3AE3-A0A7-D544C818DE36> /System/Library/PrivateFrameworks/AppleSauce.framework/Versions/A/AppleSauce
       0x10d9df000 -        0x10d9e6ff7  com.apple.LinguisticData (1.0 - 238.3) <49A54649-1021-3DBD-99B8-1B2EDFFA5378> /System/Library/PrivateFrameworks/LinguisticData.framework/Versions/A/LinguisticData
       0x10d9ee000 -        0x10da04ff7  libmarisa.dylib (9) <D6D2D55D-1D2E-3442-B152-B18803C0ABB4> /usr/lib/libmarisa.dylib
       0x10da12000 -        0x10da54fff  com.apple.Lexicon-framework (1.0 - 33.5) <DC94CF9E-1EB4-3C0E-B298-CA1190885276> /System/Library/PrivateFrameworks/Lexicon.framework/Versions/A/Lexicon
       0x10da64000 -        0x10da6ffff  libChineseTokenizer.dylib (28) <53633C9B-A3A8-36F7-A53C-432D802F4BB8> /usr/lib/libChineseTokenizer.dylib
       0x10da7e000 -        0x10da8efff  libcmph.dylib (6) <A5509EE8-7E00-3224-8814-015B077A3CF5> /usr/lib/libcmph.dylib
       0x10da97000 -        0x10db8cff7  com.apple.LanguageModeling (1.0 - 159.5.3) <7F0AC200-E3DD-39FB-8A95-00DD70B66A9F> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
       0x10dbb2000 -        0x10dbc2ff7  com.apple.CoreEmoji (1.0 - 69.3) <A4357F5C-0C38-3A61-B456-D7321EB2CEE5> /System/Library/PrivateFrameworks/CoreEmoji.framework/Versions/A/CoreEmoji
       0x10dbcc000 -        0x10dbd0ffb  com.apple.xpc.ServiceManagement (1.0 - 1) <5BFDB3ED-73A7-3035-A5BC-ADA6E4F74BFD> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
       0x10dbd8000 -        0x10dbdfff7  com.apple.coreservices.BackgroundTaskManagement (1.0 - 57.1) <51A41CA3-DB1D-3380-993E-99C54AEE518E> /System/Library/PrivateFrameworks/BackgroundTaskManagement.framework/Versions/A/BackgroundTaskManagement
       0x10dbeb000 -        0x10dc13fff  libxslt.1.dylib (15.12) <4A5E011D-8B29-3135-A52B-9A9070ABD752> /usr/lib/libxslt.1.dylib
       0x10dc21000 -        0x10dcb6ffb  com.apple.ink.framework (10.9 - 221) <5206C8B0-22DA-36C9-998E-846EDB626D5B> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
       0x10dcea000 -        0x10dda7ff7  com.apple.TextureIO (3.7 - 3.7) <F8BAC954-405D-3CC3-AB7B-048C866EF980> /System/Library/PrivateFrameworks/TextureIO.framework/Versions/A/TextureIO
       0x10ddc7000 -        0x10de48fdf  libate.dylib (1.13.1) <178ACDAD-DE7E-346C-A613-1CBF7929AC07> /usr/lib/libate.dylib
       0x10de52000 -        0x10de62ff7  com.apple.CrashReporterSupport (10.13 - 1) <4D0DF741-8BFA-3BCF-971D-6EF849019534> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
       0x10de74000 -        0x10df86fff  com.apple.Sharing (1019.46 - 1019.46) <1266C41E-3CA9-3EFC-8413-A37D52EA9FB2> /System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
       0x10e076000 -        0x10e09cffb  com.apple.IconServices (97.6 - 97.6) <A56D826D-20D2-34BE-AACC-A80CFCB4E915> /System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconServices
       0x10e0be000 -        0x10e0e6fff  com.apple.framework.Apple80211 (13.0 - 1361.7) <16627876-8CF5-3502-A1D6-35FCBDD5E79A> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
       0x10e0f5000 -        0x10e225ff7  com.apple.CoreUtils (5.5 - 550.44) <DFC364C3-0812-31B5-9C79-C81C2DFDDB8B> /System/Library/PrivateFrameworks/CoreUtils.framework/Versions/A/CoreUtils
       0x10e2dd000 -        0x10e368ff3  com.apple.framework.CoreWLAN (13.0 - 1350.1) <E862CC02-69D2-3503-887B-B6E8223081E7> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
       0x10e3c6000 -        0x10e4caffb  com.apple.Bluetooth (6.0.5 - 6.0.5f3) <85F1B5A6-03C5-3D5A-90B8-5FC86349E330> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
       0x10e556000 -        0x10e574fff  com.apple.ProtocolBuffer (1 - 260) <40704740-4A53-3010-A49B-08D1D69D1D5E> /System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/ProtocolBuffer
       0x10e591000 -        0x10e5f5fff  com.apple.framework.CoreWiFi (13.0 - 1350.1) <6EC5DEB3-6E2F-3DC2-BE59-1FD05175FB0C> /System/Library/PrivateFrameworks/CoreWiFi.framework/Versions/A/CoreWiFi
       0x10e657000 -        0x10e680ffb  com.apple.CoreBluetooth (1.0 - 1) <E1335074-9D07-370E-8440-61C4874BAC56> /System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetooth
       0x10e69f000 -        0x10e6dfff7  com.apple.DebugSymbols (181.0 - 181.0) <299A0238-ED78-3676-B131-274D972824AA> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
       0x10e6ff000 -        0x10e790fff  com.apple.CoreSymbolication (9.3 - 64026) <BAF3CE6E-8140-3159-BF1B-B953816459A0> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
       0x10e7e5000 -        0x10e86efc7  com.apple.Symbolication (9.3 - 64033) <FAA17252-6378-34A4-BBBB-22DF54EC1626> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
       0x10e8c8000 -        0x10e8d7fef  com.apple.AppleFSCompression (96.30.2 - 1.0) <ABFF224B-22D6-35F6-A072-9548FD388EB7> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
       0x10e8e1000 -        0x10e8eeff7  com.apple.SpeechRecognitionCore (4.0.13 - 4.0.13) <8B5418A4-CDC5-3200-AEF0-F109E0DF9019> /System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions/A/SpeechRecognitionCore
       0x10e8fe000 -        0x10e901ffb  com.apple.CommonPanels (1.2.6 - 98) <2391761C-5CAA-3F68-86B7-50B37927B104> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
       0x10e909000 -        0x10e90cffb  com.apple.help (1.3.8 - 66) <DEBADFA8-C189-3195-B0D6-A1F2DE95882A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
       0x10e913000 -        0x10e918fff  com.apple.ImageCapture (9.0 - 9.0) <23B4916F-3B43-3DFF-B956-FC390EECA284> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
       0x10e928000 -        0x10e942ff7  com.apple.openscripting (1.7 - 174) <1B2A1F9E-5534-3D61-83CA-9199B39E8708> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
       0x10e958000 -        0x10e959fff  com.apple.print.framework.Print (12 - 267) <3682ABFB-2561-3419-847D-02C247F4800D> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
       0x10e95f000 -        0x10e961ff7  com.apple.securityhi (9.0 - 55006) <C1406B8D-7D05-3959-808F-9C82189CF57F> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
       0x10ed99000 -        0x10ed9afff +_heapq.cpython-37m-darwin.so (???) <3CD355DB-06FD-4E99-E801-06B3ECCCF9F7> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_heapq.cpython-37m-darwin.so
       0x10ee1e000 -        0x10ee1ffff +_posixsubprocess.cpython-37m-darwin.so (???) <34B55F18-A4D9-36F1-11C7-0FC66AE97445> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_posixsubprocess.cpython-37m-darwin.so
       0x10ee22000 -        0x10ee25ff7 +select.cpython-37m-darwin.so (???) <3DD32E0F-132E-3613-1CB9-BEB4C4815BDA> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/select.cpython-37m-darwin.so
       0x10ee2b000 -        0x10ee30fef +math.cpython-37m-darwin.so (???) <9878F8E7-373C-2423-36D4-9DBBAE9D567A> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/math.cpython-37m-darwin.so
       0x10ee77000 -        0x10ee81fff +_socket.cpython-37m-darwin.so (???) <C08ADF4F-9F1F-D919-B538-10795D149307> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_socket.cpython-37m-darwin.so
       0x10ef4e000 -        0x10ef4efff +_opcode.cpython-37m-darwin.so (???) <251AA31E-2E67-2250-24DD-7B3EDDDAD9EA> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_opcode.cpython-37m-darwin.so
       0x10efd1000 -        0x10efd5fff +zlib.cpython-37m-darwin.so (???) <0BE8B1F5-A68E-9802-8043-3CE8271E7450> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/zlib.cpython-37m-darwin.so
       0x10efdb000 -        0x10efdcfff +_bz2.cpython-37m-darwin.so (???) <EB1A185C-1EDA-6182-24CC-EA76C92B05D5> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_bz2.cpython-37m-darwin.so
       0x10efe0000 -        0x10efe0fff +grp.cpython-37m-darwin.so (???) <F2B045D2-8CDC-17B4-327E-4ED961454078> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/grp.cpython-37m-darwin.so
       0x10efe3000 -        0x10efe6ff7 +_hashlib.cpython-37m-darwin.so (???) <786E4EA8-7224-954C-D3F5-33D6CA3AB15C> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_hashlib.cpython-37m-darwin.so
       0x10efeb000 -        0x10eff4ff7 +_blake2.cpython-37m-darwin.so (???) <78BCCB2C-1863-8A50-91EC-F60557ABCE86> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_blake2.cpython-37m-darwin.so
       0x10eff9000 -        0x10eff9fff +_bisect.cpython-37m-darwin.so (???) <E138D47F-CDEE-8171-FD12-2BD1FF7A04F3> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_bisect.cpython-37m-darwin.so
       0x10effc000 -        0x10effdfff +_random.cpython-37m-darwin.so (???) <E1AF77F9-BDC7-959E-CB7D-B5B722B8B543> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_random.cpython-37m-darwin.so
       0x110440000 -        0x11046efff +_lzma.cpython-37m-darwin.so (???) <EC0EF344-1C71-8B81-1F9F-5077430D0106> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_lzma.cpython-37m-darwin.so
       0x1105b8000 -        0x110610ff7 +libssl.1.1.dylib (1.1) <266D2584-1056-919E-B3E4-B243BE332899> /Library/Frameworks/Python.framework/Versions/3.7/lib/libssl.1.1.dylib
       0x110630000 -        0x1108347b7 +libcrypto.1.1.dylib (1.1) <649634DF-2DE0-43F0-95B3-E9702FD64B4B> /Library/Frameworks/Python.framework/Versions/3.7/lib/libcrypto.1.1.dylib
       0x1108b3000 -        0x1108c6fff +_sha3.cpython-37m-darwin.so (???) <8473A44B-5561-B9BE-C7BC-71A17C29BBB3> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_sha3.cpython-37m-darwin.so
       0x11094c000 -        0x110951fff +_struct.cpython-37m-darwin.so (???) <24D14CF9-5325-366E-DEF1-62C5DFEBC1B8> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_struct.cpython-37m-darwin.so
       0x11095a000 -        0x11096dfff +_pickle.cpython-37m-darwin.so (???) <C852BFFB-37E4-4131-CC1B-E98CAA484E4C> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_pickle.cpython-37m-darwin.so
       0x11097a000 -        0x11097bfff +_queue.cpython-37m-darwin.so (???) <6709FF22-F75F-B847-D335-00DB34CE04F8> /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_queue.cpython-37m-darwin.so
       0x1123d8000 -        0x112409ff3  com.apple.CoreServicesInternal (309.1 - 309.1) <EB09CAFC-AE9B-3257-BE45-5471D9F64AAD> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/CoreServicesInternal
       0x11268b000 -        0x1126beff7  libTrueTypeScaler.dylib (222.1.4) <4734ECD6-6F41-3A16-AE35-265BDC1572C5> /System/Library/Frameworks/ApplicationServices.framework/Frameworks/ATS.framework/Resources/libTrueTypeScaler.dylib
       0x1126fd000 -        0x112713fef  libCGInterfaces.dylib (417.2) <ED0EAE3C-D963-3DF7-A408-4F00FF1C8C34> /System/Library/Frameworks/Accelerate.framework/Frameworks/vImage.framework/Versions/A/Libraries/libCGInterfaces.dylib
       0x112817000 -        0x112817fff  libmetal_timestamp.dylib (802.4.5) <BCA42032-C91F-3463-BA1E-1433262ACA0A> /System/Library/PrivateFrameworks/GPUCompiler.framework/Versions/3802/Libraries/libmetal_timestamp.dylib
       0x113ebe000 -        0x113fb4ff7  com.apple.driver.AppleIntelBDWGraphicsMTLDriver (10.32.48 - 10.3.2) <CB899415-0073-3FD5-973D-2E49BDF5FC43> /System/Library/Extensions/AppleIntelBDWGraphicsMTLDriver.bundle/Contents/MacOS/AppleIntelBDWGraphicsMTLDriver
       0x1146f9000 -        0x1146fafff  libodfde.dylib (24.50.1) <972F9662-D4FA-304F-9D13-AC440F908A6F> /usr/lib/libodfde.dylib
       0x114940000 -        0x1149defff  ColorSyncDeprecated.dylib (3325) <1938C255-8221-32C4-8D37-9E27E6C9085E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSyncLegacy.framework/Versions/A/Resources/ColorSyncDeprecated.dylib
       0x114af8000 -        0x114af9fff  com.apple.TrustEvaluationAgent (2.0 - 31) <39F533B2-211E-3635-AF47-23F27749FF4A> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
       0x114e37000 -        0x114e59fff  com.apple.framework.familycontrols (4.1 - 410) <F8720CCF-6E8F-33E1-9328-A2875971B97B> /System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls
       0x114e6f000 -        0x114e7bffb  com.apple.CommerceCore (1.0 - 656.20) <AF242149-5360-3552-99E6-7C98623C1A08> /System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/CommerceCore
       0x114e8b000 -        0x114eb7fff  com.apple.framework.SystemAdministration (1.0 - 1.0) <2916D56F-1F72-3A6B-8F2F-9E6EFE6B962A> /System/Library/PrivateFrameworks/SystemAdministration.framework/Versions/A/SystemAdministration
       0x114ee2000 -        0x114ee5ff3  com.apple.SecCodeWrapper (4.0 - 360.50.7) <D7136CA5-CC5E-3B3C-AF1A-A8E5FF2023DF> /System/Library/PrivateFrameworks/SecCodeWrapper.framework/Versions/A/SecCodeWrapper
       0x114eec000 -        0x114ef1fff  com.apple.LoginUICore (4.0 - 4.0) <29953093-7A93-3547-8BB8-FBBB422CE20D> /System/Library/PrivateFrameworks/LoginUIKit.framework/Versions/A/Frameworks/LoginUICore.framework/Versions/A/LoginUICore
       0x1159da000 -        0x1159f5ff3  com.apple.AppContainer (4.0 - 360.50.7) <59F95A1A-15DF-33CE-9E52-DDEEFDC4D138> /System/Library/PrivateFrameworks/AppContainer.framework/Versions/A/AppContainer
       0x115a0d000 -        0x115afbff7  com.apple.DiskManagement (11.4 - 1428) <BEA3294F-3BF2-3395-A5C2-B26BEF9508C5> /System/Library/PrivateFrameworks/DiskManagement.framework/Versions/A/DiskManagement
       0x115b47000 -        0x115b52ff7  com.apple.DirectoryService.Framework (10.13 - 207.50.1) <29D21437-7B41-3E9D-B5D4-462986AED83F> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
       0x115b5c000 -        0x115c2eff7  com.apple.DiskImagesFramework (480.50.10 - 480.50.10) <08B48BB9-51A4-3AC4-9E24-AA1C338BA548> /System/Library/PrivateFrameworks/DiskImages.framework/Versions/A/DiskImages
       0x115c90000 -        0x115d1dff7  libCoreStorage.dylib (546.50.1) <6AFD6AAE-2EFE-3CF3-90C6-A66F67FCB309> /usr/lib/libCoreStorage.dylib
       0x115d47000 -        0x115d52ff7  libcsfde.dylib (546.50.1) <D02562A4-CCE6-35FE-8BDE-05BB68DA0038> /usr/lib/libcsfde.dylib
       0x115d5f000 -        0x115d92ff7  com.apple.MediaKit (16 - 873) <EC6E742E-305D-362F-9E22-BF313013054C> /System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit
       0x115da6000 -        0x115e60fff  com.apple.DiscRecording (9.0.3 - 9030.4.5) <35D1FF9A-432C-39AD-9C1F-9022246EC5C0> /System/Library/Frameworks/DiscRecording.framework/Versions/A/DiscRecording
       0x115ecb000 -        0x115ecefff  com.apple.EFILogin (2.0 - 2) <65FC80C1-965D-3FE9-9666-41DB87A934A6> /System/Library/PrivateFrameworks/EFILogin.framework/Versions/A/EFILogin
       0x115ed7000 -        0x115f2effb  com.apple.ProtectedCloudStorage (1.0 - 1) <351DCB70-4AA2-326E-B14E-0874AA37FA9B> /System/Library/PrivateFrameworks/ProtectedCloudStorage.framework/Versions/A/ProtectedCloudStorage
       0x115f73000 -        0x115fc7ffb  libcurl.4.dylib (105.40.1) <B04E7791-EAF9-3D72-B4ED-DD8F135140EC> /usr/lib/libcurl.4.dylib
       0x115fdd000 -        0x11616efff  libcrypto.35.dylib (22.50.2) <97828BFD-4675-35DF-BE2E-C6D1555BB71D> /usr/lib/libcrypto.35.dylib
       0x1161e3000 -        0x116236ffb  libssl.35.dylib (22.50.2) <AF523E9B-7183-3A87-8FB4-E26936EC4FDB> /usr/lib/libssl.35.dylib
       0x116253000 -        0x116288fff  com.apple.LDAPFramework (2.4.28 - 194.5) <08888215-BBCE-3402-8142-2C9ADB091580> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
       0x116296000 -        0x1162a8fff  libsasl2.2.dylib (211) <04EF3F61-12EC-3319-A649-851999F4C7A4> /usr/lib/libsasl2.2.dylib
       0x1162b1000 -        0x1162baff7  com.apple.frameworks.CoreDaemon (1.3 - 1.3) <35A43584-2AF8-3202-A139-27D916E444BE> /System/Library/PrivateFrameworks/CoreDaemon.framework/Versions/B/CoreDaemon
       0x1162c8000 -        0x1162d0ff3  com.apple.AppleSRP (5.0 - 1) <4CEC34CF-63E3-3023-B61B-F8D133698534> /System/Library/PrivateFrameworks/AppleSRP.framework/Versions/A/AppleSRP
    0x7fff6942c000 -     0x7fff694769df  dyld (551.3) <AFAB4EFA-7020-34B1-BBEF-0F26C6D3CA36> /usr/lib/dyld

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 1
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 50201
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=196.0M resident=0K(0%) swapped_out_or_unallocated=196.0M(100%)
Writable regions: Total=109.3M written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=109.3M(100%)
 
                                VIRTUAL   REGION 
REGION TYPE                        SIZE    COUNT (non-coalesced) 
===========                     =======  ======= 
Accelerate framework               128K        2 
Activity Tracing                   256K        2 
CG backing stores                 3488K        6 
CG image                             4K        2 
CoreGraphics                         8K        2 
CoreImage                            8K        3 
CoreUI image data                  852K        6 
CoreUI image file                  180K        4 
Dispatch continuations            8192K        2 
Kernel Alloc Once                    8K        2 
MALLOC                            76.4M       58 
MALLOC guard page                   48K       11 
MALLOC_LARGE (reserved)            512K        3         reserved VM address space (unallocated)
Memory Tag 242                      12K        2 
STACK GUARD                         24K        7 
Stack                             2668K        7 
VM_ALLOCATE                        168K       18 
__DATA                            23.3M      335 
__FONT_DATA                          4K        2 
__LINKEDIT                        46.6M      274 
__TEXT                           149.4M      274 
__UNICODE                          560K        2 
__UNIXSTACK                       16.0M        2 
mapped file                       52.3M       18 
shared memory                      628K       10 
===========                     =======  ======= 
TOTAL                            381.3M     1029 
TOTAL, minus reserved VM space   380.8M     1029 

Model: MacBookAir7,2, BootROM MBA71.0176.B00, 2 processors, Intel Core i5, 1.8 GHz, 8 GB, SMC 2.27f2
Graphics: Intel HD Graphics 6000, Intel HD Graphics 6000, Built-In
Memory Module: BANK 0/DIMM0, 4 GB, DDR3, 1600 MHz, 0x80AD, 0x483943434E4E4E424C54424C41522D4E5444
Memory Module: BANK 1/DIMM0, 4 GB, DDR3, 1600 MHz, 0x80AD, 0x483943434E4E4E424C54424C41522D4E5444
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x117), Broadcom BCM43xx 1.0 (7.77.37.29.1a7)
Bluetooth: Version 6.0.5f3, 3 services, 27 devices, 1 incoming serial ports
Network Service: Wi-Fi, AirPort, en0
Serial ATA Device: APPLE SSD SM0128G, 121.33 GB
USB Device: USB 3.0 Bus
USB Device: BRCM20702 Hub
USB Device: Bluetooth USB Host Controller
Thunderbolt Bus: MacBook Air, Apple Inc., 27.2
msg324624 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2018-09-05 10:09
Might be related to the below : 

open issue : https://bugs.python.org/issue14576

https://bugs.python.org/issue14576
https://bugs.python.org/issue16758
https://bugs.python.org/issue10722
https://bugs.python.org/issue7217

I think from the above threads you have something in path that collides with the name of some file in Python standard library.

Ref : https://stackoverflow.com/questions/29567051/python-error-idles-subprocess-didnt-make-connection-either-idle-cant-start

Thanks
msg324628 - (view) Author: Joseph (JokeNeverSoke) Date: 2018-09-05 11:30
Problem saved... turns out I saved a math.py file in my python location and thats what cause the crash. when i remove the math.py file or change its name, python got back to work. thanks
msg324629 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2018-09-05 12:04
I'm not to happy about the crash, the interpreter shouldn't crash like this. This may well be Tk related though.
msg324802 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-09-07 21:49
idlelib/run.py imports math through about 3 intermediaries.  Hence it failed, and pyshell displayed the message in the .png.  Both modules can raise failure messages.  In #25514, the run.py message was revised to point to a new section of the doc: "Startup failure".  The second paragraph is

"A common cause of failure is a user-written file with the same name as a standard library module, such as random.py and tkinter.py. When such a file is located in the same directory as a file that is about to be run, IDLE cannot import the stdlib file.  The current fix is to rename the user file."

This is what Joseph should have seen.  I added a note to the issue to also fix the pyshell message to point to this section.

A better but harder fix would be to temporarily remove the user directory from sys.path so that user files cannot stop run's startup.
History
Date User Action Args
2018-09-07 22:01:02terry.reedysetstatus: open -> closed
2018-09-07 21:49:34terry.reedysetstatus: pending -> open
title: subprocess -> IDLE 3.7.0 on Mac cannot open subprocess
nosy: + terry.reedy

messages: + msg324802
2018-09-05 12:04:49ronaldoussorensetstatus: open -> pending
type: crash
messages: + msg324629

resolution: not a bug
stage: resolved
2018-09-05 11:30:55JokeNeverSokesetmessages: + msg324628
2018-09-05 11:26:26JokeNeverSokesetnosy: + ronaldoussoren, ned.deily
components: + macOS
2018-09-05 10:09:55xtreaksetnosy: + xtreak
messages: + msg324624
2018-09-05 09:10:36JokeNeverSokecreate